#!/usr/bin/perl
BEGIN {
	require "fatlib.pl";
}

use utf8;
use strict;

#------------
use CGI;
use Nana::Mail;
use Nana::YukiWikiDB;
use Encode;
use Digest::MD5 qw(md5_hex);

require "common.pl";

my $allow=0;

if(open(R,".htallowadmin")) {
	foreach(<R>) {
		chomp;
		$allow=1 if($ENV{REMOTE_ADDR} eq $_);
	}
	close(R);
}

if($allow eq 0) {
	print <<EOM;
Content-type: text/plain

Not allowed.
EOM
	exit;
}

my($basehref, $basehost, $basepath)=&getbasehref;

my $query=new CGI;

my $subject=force_decode($query->param("subject"));
my $body=force_decode($query->param("body"));

if($subject eq '' && $body eq '') {
	&gzip_compress("Content-type: text/html; charset=utf-8\nCache-Control: max-age=0\nExpires: Mon, 26, Jul 1997 05:00:00 GMT");
	print <<EOM;
<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>でんき予報速報サイト一斉メール送信</title>
<meta name="robots" content="NOINDEX,NOFOLLOW,NOARCHIVE" />
<meta name="googlebot" content="NOINDEX,NOFOLLOW,NOARCHIVE" />
</head>
<body>
<form action="allmailsend.cgi" method="post">
<table>
<tr><td>タイトル:</td><td><input name="subject" size="50"></td></tr>
<tr><td>本文：</td><td><textarea name="body" rows="5" cols="50"></textarea></td></tr>
<tr><td>&nbsp;</td><td><input type="submit" value="送信"></td></tr>
</table>
</form>
</html>
EOM
	close(STDOUT);
	exit;
}
my $tmpsubject=$subject;
my $tmpbody=$body;
&mailallsend($subject,$body);
$tmpbody=~s/\n/<br \/>\n/g;
&gzip_compress("Content-type: text/html; charset=utf-8\nCache-Control: max-age=0\nExpires: Mon, 26, Jul 1997 05:00:00 GMT");
print <<EOM;
<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>でんき予報速報サイト一斉メール送信</title>
<meta name="robots" content="NOINDEX,NOFOLLOW,NOARCHIVE" />
<meta name="googlebot" content="NOINDEX,NOFOLLOW,NOARCHIVE" />
</head>
<body>
メールを送信しました。
<table>
<tr><td>タイトル:</td><td>$tmpsubject</td></tr>
<tr><td>本文：</td><td>$tmpbody</td></tr>
</table>
</body>
</html>
EOM
close(STDOUT);
exit;
